package com.fs.store.domain;

import lombok.Data;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 剩余理赔限额日志表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RemainingClaimLimitLog implements Cloneable{
    /**
     * 主键ID
     */
    private Integer id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单金额
     */
    private BigDecimal orderMoney;

    /**
     * 金额
     */
    private BigDecimal money;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 0购买 1退款
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    @Override
    public RemainingClaimLimitLog clone() {
        try {
            RemainingClaimLimitLog clone = (RemainingClaimLimitLog) super.clone();
            return clone;
        } catch (CloneNotSupportedException e) {
            throw new AssertionError();
        }
    }
}
